Advice regarding upgrade please

Discussion in 'PSP - Hacking & Homebrew' started by garbanzo, Mar 12, 2012.

Mar 12, 2012
  1. garbanzo
    OP

    Newcomer garbanzo Newbie

    Joined:
    Jan 28, 2008
    Messages:
    9
    Country:
    Hungary
    I have a PSP 1000 that is happily running some ancient 3.something CFW. I use it almost exclusively for emulation - NES, GBA, SMS, NeoGeo, etc. Everything works nicely.

    I've been ignoring the PSP scene for years, but I just started reading about what's new, and now I'm considering upgrading to the 6.20 Pro firmware. I would feel better using a firmware that is being actively developed, and that supports the latest and greatest games and features.

    But I'm concerned. I read that newer CFWs don't support the 1.5 kernel, which is required by every emulaor I'm currently using. I've been reading forums and such all evening trying to find out if I can still emulate my favorite systems, but most of the discussions I find talk about running emulators through HENs on OFW systems.

    So my question is this - if I upgrade to 6.20 and load the permanent CFW, will I still be able to find and run emulators for all my favorite old systems?

    NES
    SNES
    GB/GBC
    GBA
    SMS
    Genesis
    CPS1/CPS2
    NeoGeo
    TG-16, TurboCD

    Thanks!
     
  2. Jugarina

    Member Jugarina GBAtemp Fan

    Joined:
    Mar 17, 2011
    Messages:
    353
    Location:
    NY
    Country:
    United States
    I can't answer your question about 6.20 because I never felt the need to go there, (2000 pre) would also apply to any 1000.

    I have always run 5.50 Prometheus 4 since It was released and have had no emulator or rom issues.
     
  3. Just Another Gamer

    Member Just Another Gamer 星空のメモリア-Wish upon a shooting star- Fanboy

    Joined:
    Feb 29, 2012
    Messages:
    1,898
    Location:
    Watching Hibarigasaki's starry sky
    Country:
    Australia
    Well I been using 6.20 CFW on my pre-owned PSP-2000 and so far all the emulation things I tried works fine but if you only use it for emulating then I think its better to stick with the one your currently using if it still works, if you want to play PSP .iso then you probably need to update your FW to 6.20 then CFW it.
     
  4. ars25

    Member ars25 I like tacos and pie

    Joined:
    Oct 21, 2010
    Messages:
    800
    Location:
    the world that never was
    Country:
    United States
    yes they will all work you just needto folow rydian's guild and you are done
     
  5. Rydian

    Member Rydian Resident Furvert™

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    New emulators work on new CFWs.
     
  6. garbanzo
    OP

    Newcomer garbanzo Newbie

    Joined:
    Jan 28, 2008
    Messages:
    9
    Country:
    Hungary
    Thanks for all the quick replies!

    Rydian, can you tell me if there are emulators for all the systems I listed that will run on 6.20 Pro? I'm especially intrested in NeoGeo, I think the PSP is the perfect platform for Metal Slug :)

    But I would really like to have the best of both worlds - full support for homebrew emulators along with full support for modern ISOs.
     
  7. Rydian

    Member Rydian Resident Furvert™

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    I don't know about the last three, check the sticky.
     
  8. garbanzo
    OP

    Newcomer garbanzo Newbie

    Joined:
    Jan 28, 2008
    Messages:
    9
    Country:
    Hungary
    Great, thanks for the info.

    One last question. If I upgrade to 6.20 then install the CFW and I'm not happy with the compatibility, will I be able to go back to something like 5.00 M33-6?
     
  9. Rydian

    Member Rydian Resident Furvert™

    Joined:
    Feb 4, 2010
    Messages:
    27,883
    Location:
    Cave Entrance, Watching Cyan Write Letters
    Country:
    United States
    Yes, the softmod sticky contains instructions on flashing a clean 5.00 firmware which you can then mod with M33.
     
  10. OSpencerO

    Member OSpencerO GBAtemp Regular

    Joined:
    Jun 28, 2005
    Messages:
    107
    Location:
    From Nashville, Tennessee In Knoxville, Tennessee
    Country:
    Iceland
    I can confirm that all of the systems on your list have emulators that work on 6.20 & 6.60. :)
    I can also confirm that the list GBAtemp Emulation on PSP isn't completely up to date. :(
    http://wiki.gbatemp.net/wiki/Emulation_on_PSP



    Spencer


    :yaypsp:
     

Share This Page